- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings.externalSystems/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings.externalSystems/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings.externalSystems/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings.externalSystems/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings.externalSystems/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings.externalSystems/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings.externalSystems/patch#try-it)

Updates external system. This is for a given finding. If no location is specified, finding is assumed to be in global

### IAM Permissions

Requires the following IAM permission on the resource specified in the `externalSystem.name` field:

- `securitycenter.findingexternalsystems.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v2/{externalSystem.name=folders/*/sources/*/locations/*/findings/*/externalSystems/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `externalSystem.name` | `string` Full resource name of the external system. The following list shows some examples: - `organizations/1234/sources/5678/findings/123456/externalSystems/jira` + `organizations/1234/sources/5678/locations/us/findings/123456/externalSystems/jira` - `folders/1234/sources/5678/findings/123456/externalSystems/jira` + `folders/1234/sources/5678/locations/us/findings/123456/externalSystems/jira` - `projects/1234/sources/5678/findings/123456/externalSystems/jira` + `projects/1234/sources/5678/locations/us/findings/123456/externalSystems/jira` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The FieldMask to use when updating the external system resource. If empty all mutable fields will be updated. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings#Finding.ExternalSystem`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.sources.locations.findings#Finding.ExternalSystem`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).